com.tibbo.aggregate.common.event

## Class PersistenceOptions

- java.lang.Object
- - com.tibbo.aggregate.common.event.PersistenceOptions

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PersistenceOptions
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistenceOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPersistenceBinding(PersistenceBinding binding)`
    `PersistenceOptions` | `clone()`
    `java.util.List<PersistenceBinding>` | `getPersistenceBindings()`
    `boolean` | `isDedicatedTablePreferred()`
    `boolean` | `isPerContextTablePreferred()`
    `boolean` | `isPersistAcknowledgements()`
    `boolean` | `isPersistContext()`
    `boolean` | `isPersistCount()`
    `boolean` | `isPersistData()`
    `boolean` | `isPersistEnrichments()`
    `boolean` | `isPersistExpirationtime()`
    `boolean` | `isPersistFormat()`
    `boolean` | `isPersistLevel()`
    `boolean` | `isPersistName()`
    `boolean` | `isPersistPermissions()`
    `void` | `setDedicatedTablePreferred(boolean dedicatedTablePreferred)`
    `void` | `setPerContextTablePreferred(boolean perContextTablePreferred)`
    `void` | `setPersistAcknowledgements(boolean persistAcknowledgements)`
    `void` | `setPersistContext(boolean persistContext)`
    `void` | `setPersistCount(boolean persistCount)`
    `void` | `setPersistData(boolean persistData)`
    `void` | `setPersistenceBindings(java.util.List<PersistenceBinding> persistenceBindings)`
    `void` | `setPersistEnrichments(boolean persistEnrichments)`
    `void` | `setPersistExpirationtime(boolean persistExpirationtime)`
    `void` | `setPersistFormat(boolean persistFormat)`
    `void` | `setPersistLevel(boolean persistLevel)`
    `void` | `setPersistName(boolean persistName)`
    `void` | `setPersistPermissions(boolean persistPermissions)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistenceOptions

          public PersistenceOptions()

  - ### Method Detail

    - #### clone

          public PersistenceOptions clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### getPersistenceBindings

          public java.util.List<PersistenceBinding> getPersistenceBindings()

    - #### addPersistenceBinding

          public void addPersistenceBinding(PersistenceBinding binding)

    - #### isDedicatedTablePreferred

          public boolean isDedicatedTablePreferred()

    - #### setDedicatedTablePreferred

          public void setDedicatedTablePreferred(boolean dedicatedTablePreferred)

    - #### isPerContextTablePreferred

          public boolean isPerContextTablePreferred()

    - #### setPerContextTablePreferred

          public void setPerContextTablePreferred(boolean perContextTablePreferred)

    - #### isPersistContext

          public boolean isPersistContext()

    - #### setPersistContext

          public void setPersistContext(boolean persistContext)

    - #### isPersistName

          public boolean isPersistName()

    - #### setPersistName

          public void setPersistName(boolean persistName)

    - #### isPersistExpirationtime

          public boolean isPersistExpirationtime()

    - #### setPersistExpirationtime

          public void setPersistExpirationtime(boolean persistExpirationtime)

    - #### isPersistLevel

          public boolean isPersistLevel()

    - #### setPersistLevel

          public void setPersistLevel(boolean persistLevel)

    - #### isPersistPermissions

          public boolean isPersistPermissions()

    - #### setPersistPermissions

          public void setPersistPermissions(boolean persistPermissions)

    - #### isPersistCount

          public boolean isPersistCount()

    - #### setPersistCount

          public void setPersistCount(boolean persistCount)

    - #### isPersistAcknowledgements

          public boolean isPersistAcknowledgements()

    - #### setPersistAcknowledgements

          public void setPersistAcknowledgements(boolean persistAcknowledgements)

    - #### isPersistEnrichments

          public boolean isPersistEnrichments()

    - #### setPersistEnrichments

          public void setPersistEnrichments(boolean persistEnrichments)

    - #### isPersistFormat

          public boolean isPersistFormat()

    - #### setPersistFormat

          public void setPersistFormat(boolean persistFormat)

    - #### isPersistData

          public boolean isPersistData()

    - #### setPersistData

          public void setPersistData(boolean persistData)

    - #### setPersistenceBindings

          public void setPersistenceBindings(java.util.List<PersistenceBinding> persistenceBindings)